from numpy import *

for n in range(1000):
	M = 0
	for i in range(-n,n+1):
		for j in range(-n,n+1):
			for k in range(-n,n+1):
				if  not(i==0 and j ==0 and k == 0):
					M += (-1)**(i+j+k+1)/sqrt(i**2+j**2+k**2)
	print n, M